<?php
@session_start();
require_once('../connect/connect.php');
include_once('../lib/lib.php');
require_once('pdk.php');

$err = "";
$msg = "";
$id_catalog = intval($_GET['id_catalog']);
$logo = '../logo_catalog/'.$id_catalog.'.jpg';

if($_SESSION['ID_Glob'])
	{
	if(!file_exists($logo))
		{
		if ($_FILES['foto']['tmp_name'])
  			{
			$ext = type_img($_FILES['foto']['type']);
  			if ($ext != ".jpg" && $ext != ".png" && $ext != ".gif") 
  			$err = "Недопустимый фрмат файла. Допускаются только файлы JPEG, PNG, GIF";
			if(!$err)
			copy ($_FILES['foto']['tmp_name'], $logo); 
			} 
		} 
	} 
	
	
	echo "{";
	echo				"error: '" . $err . "',\n";
	echo				"msg: '" . $msg . "'\n";
	echo "}";
?>